package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmPhyJudgeResultMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JUDGE_PHYSICAL_RESULT", namespace=QcmPhyJudgeResultMapper.class)
public class QcmPhyJudgeResult extends BaseVO implements Serializable { 
    @Column 
    private String phy_id;
    /**
    *材质结果集ID（编码规则：PHY+2位年/月/日+4位流水号）
    */
    public String getPhy_id(){
         return this.phy_id;
    }
    /**
    *材质结果集ID（编码规则：PHY+2位年/月/日+4位流水号）
    */
    public void setPhy_id(String phy_id){
         this.phy_id=phy_id;
    }

    @Column 
    private String guid;
    /**
    *GUID（取QCM_PHY_RESULT.GUID）
    */
    public String getGuid(){
         return this.guid;
    }
    /**
    *GUID（取QCM_PHY_RESULT.GUID）
    */
    public void setGuid(String guid){
         this.guid=guid;
    }

    @Column 
    private String smp_no;
    /**
    *试样号
    */
    public String getSmp_no(){
         return this.smp_no;
    }
    /**
    *试样号
    */
    public void setSmp_no(String smp_no){
         this.smp_no=smp_no;
    }

    @Column 
    private String contract_line_no;
    /**
    *合同行PK码(CONTRACT_PK+三位流水号)
    */
    public String getContract_line_no(){
         return this.contract_line_no;
    }
    /**
    *合同行PK码(CONTRACT_PK+三位流水号)
    */
    public void setContract_line_no(String contract_line_no){
         this.contract_line_no=contract_line_no;
    }

    @Column 
    private String heat_no;
    /**
    *炉号
    */
    public String getHeat_no(){
         return this.heat_no;
    }
    /**
    *炉号
    */
    public void setHeat_no(String heat_no){
         this.heat_no=heat_no;
    }

    @Column 
    private String batch_no;
    /**
    *轧批号
    */
    public String getBatch_no(){
         return this.batch_no;
    }
    /**
    *轧批号
    */
    public void setBatch_no(String batch_no){
         this.batch_no=batch_no;
    }

    @Column 
    private String inspection_lot;
    /**
    *检验号
    */
    public String getInspection_lot(){
         return this.inspection_lot;
    }
    /**
    *检验号
    */
    public void setInspection_lot(String inspection_lot){
         this.inspection_lot=inspection_lot;
    }

    @Column 
    private String material_no;
    /**
    *材料号
    */
    public String getMaterial_no(){
         return this.material_no;
    }
    /**
    *材料号
    */
    public void setMaterial_no(String material_no){
         this.material_no=material_no;
    }

    @Column 
    private String phy_code_l;
    /**
    *材质检验项代码（大类）
    */
    public String getPhy_code_l(){
         return this.phy_code_l;
    }
    /**
    *材质检验项代码（大类）
    */
    public void setPhy_code_l(String phy_code_l){
         this.phy_code_l=phy_code_l;
    }

    @Column 
    private String phy_name_l;
    /**
    *材质检验项名称（大类）
    */
    public String getPhy_name_l(){
         return this.phy_name_l;
    }
    /**
    *材质检验项名称（大类）
    */
    public void setPhy_name_l(String phy_name_l){
         this.phy_name_l=phy_name_l;
    }

    @Column 
    private String phy_code_m;
    /**
    *试样组代码
    */
    public String getPhy_code_m(){
         return this.phy_code_m;
    }
    /**
    *试样组代码
    */
    public void setPhy_code_m(String phy_code_m){
         this.phy_code_m=phy_code_m;
    }

    @Column 
    private String phy_name_m;
    /**
    *试样组描述
    */
    public String getPhy_name_m(){
         return this.phy_name_m;
    }
    /**
    *试样组描述
    */
    public void setPhy_name_m(String phy_name_m){
         this.phy_name_m=phy_name_m;
    }

    @Column 
    private String phy_code_s;
    /**
    *材质检验项代码
    */
    public String getPhy_code_s(){
         return this.phy_code_s;
    }
    /**
    *材质检验项代码
    */
    public void setPhy_code_s(String phy_code_s){
         this.phy_code_s=phy_code_s;
    }

    @Column 
    private String phy_name_s;
    /**
    *材质检验项名称
    */
    public String getPhy_name_s(){
         return this.phy_name_s;
    }
    /**
    *材质检验项名称
    */
    public void setPhy_name_s(String phy_name_s){
         this.phy_name_s=phy_name_s;
    }

    @Column 
    private String item_code_d;
    /**
    *试验方向代码
    */
    public String getItem_code_d(){
         return this.item_code_d;
    }
    /**
    *试验方向代码
    */
    public void setItem_code_d(String item_code_d){
         this.item_code_d=item_code_d;
    }

    @Column 
    private String item_name_d;
    /**
    *试验方向描述
    */
    public String getItem_name_d(){
         return this.item_name_d;
    }
    /**
    *试验方向描述
    */
    public void setItem_name_d(String item_name_d){
         this.item_name_d=item_name_d;
    }

    @Column 
    private String item_code_t;
    /**
    *试验温度代码
    */
    public String getItem_code_t(){
         return this.item_code_t;
    }
    /**
    *试验温度代码
    */
    public void setItem_code_t(String item_code_t){
         this.item_code_t=item_code_t;
    }

    @Column 
    private String item_name_t;
    /**
    *试验温度描述
    */
    public String getItem_name_t(){
         return this.item_name_t;
    }
    /**
    *试验温度描述
    */
    public void setItem_name_t(String item_name_t){
         this.item_name_t=item_name_t;
    }

    @Column 
    private String item_code_s;
    /**
    *试样尺寸代码
    */
    public String getItem_code_s(){
         return this.item_code_s;
    }
    /**
    *试样尺寸代码
    */
    public void setItem_code_s(String item_code_s){
         this.item_code_s=item_code_s;
    }

    @Column 
    private String item_name_s;
    /**
    *试样尺寸描述
    */
    public String getItem_name_s(){
         return this.item_name_s;
    }
    /**
    *试样尺寸描述
    */
    public void setItem_name_s(String item_name_s){
         this.item_name_s=item_name_s;
    }

    @Column 
    private String val1;
    /**
    *值1
    */
    public String getVal1(){
         return this.val1;
    }
    /**
    *值1
    */
    public void setVal1(String val1){
         this.val1=val1;
    }

    @Column 
    private String val2;
    /**
    *值2
    */
    public String getVal2(){
         return this.val2;
    }
    /**
    *值2
    */
    public void setVal2(String val2){
         this.val2=val2;
    }

    @Column 
    private String val3;
    /**
    *值3
    */
    public String getVal3(){
         return this.val3;
    }
    /**
    *值3
    */
    public void setVal3(String val3){
         this.val3=val3;
    }

    @Column 
    private String val4;
    /**
    *值4
    */
    public String getVal4(){
         return this.val4;
    }
    /**
    *值4
    */
    public void setVal4(String val4){
         this.val4=val4;
    }

    @Column 
    private String val5;
    /**
    *值5
    */
    public String getVal5(){
         return this.val5;
    }
    /**
    *值5
    */
    public void setVal5(String val5){
         this.val5=val5;
    }

    @Column 
    private String val6;
    /**
    *值6
    */
    public String getVal6(){
         return this.val6;
    }
    /**
    *值6
    */
    public void setVal6(String val6){
         this.val6=val6;
    }

    @Column 
    private String val7;
    /**
    *值7
    */
    public String getVal7(){
         return this.val7;
    }
    /**
    *值7
    */
    public void setVal7(String val7){
         this.val7=val7;
    }

    @Column 
    private String val8;
    /**
    *值8
    */
    public String getVal8(){
         return this.val8;
    }
    /**
    *值8
    */
    public void setVal8(String val8){
         this.val8=val8;
    }

    @Column 
    private String val9;
    /**
    *值9
    */
    public String getVal9(){
         return this.val9;
    }
    /**
    *值9
    */
    public void setVal9(String val9){
         this.val9=val9;
    }

    @Column 
    private String val10;
    /**
    *值10
    */
    public String getVal10(){
         return this.val10;
    }
    /**
    *值10
    */
    public void setVal10(String val10){
         this.val10=val10;
    }

    @Column 
    private String val11;
    /**
    *值11
    */
    public String getVal11(){
         return this.val11;
    }
    /**
    *值11
    */
    public void setVal11(String val11){
         this.val11=val11;
    }

    @Column 
    private String val12;
    /**
    *值12
    */
    public String getVal12(){
         return this.val12;
    }
    /**
    *值12
    */
    public void setVal12(String val12){
         this.val12=val12;
    }

    @Column 
    private String val13;
    /**
    *值13
    */
    public String getVal13(){
         return this.val13;
    }
    /**
    *值13
    */
    public void setVal13(String val13){
         this.val13=val13;
    }

    @Column 
    private String val14;
    /**
    *值14
    */
    public String getVal14(){
         return this.val14;
    }
    /**
    *值14
    */
    public void setVal14(String val14){
         this.val14=val14;
    }

    @Column 
    private String val15;
    /**
    *值15
    */
    public String getVal15(){
         return this.val15;
    }
    /**
    *值15
    */
    public void setVal15(String val15){
         this.val15=val15;
    }

    @Column 
    private Integer pri;
    /**
    *优先级
    */
    public Integer getPri(){
         return this.pri;
    }
    /**
    *优先级
    */
    public void setPri(Integer pri){
         this.pri=pri;
    }

    @Column 
    private String create_name;
    /**
    *创建人
    */
    public String getCreate_name(){
         return this.create_name;
    }
    /**
    *创建人
    */
    public void setCreate_name(String create_name){
         this.create_name=create_name;
    }

    @Column 
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;
    /**
    *创建时间
    */
    public Date getCreate_time(){
         return this.create_time;
    }
    /**
    *创建时间
    */
    public void setCreate_time(Date create_time){
         this.create_time=create_time;
    }
    
    @Column 
    private String avg_val;
	public String getAvg_val() {
		return avg_val;
	}
	public void setAvg_val(String avg_val) {
		this.avg_val = avg_val;
	}
	@Column 
	private String is_pass;

    public String getIs_pass() {
		return is_pass;
	}
	public void setIs_pass(String is_pass) {
		this.is_pass = is_pass;
	}
    
    /**
     * design_key用于质保书传参
     */
	private String design_key;
	public String getDesign_key() {
		return design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}
	
	/**
	 * 用于质保书生成序号
	 */
	private Long seq;
	public Long getSeq() {
		return seq;
	}
	public void setSeq(Long seq) {
		this.seq = seq;
	}
	
	
	
}